PETSc version 3.15.5
Fix/Edit manual page

# DMSetGlobalSection

Set the PetscSection encoding the global data layout for the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetGlobalSection(DM dm, PetscSection section)

### Input Parameters

| dm | - The DM
| section | - The PetscSection, or NULL

Note: Any existing Section will be destroyed

### See Also

DMGetGlobalSection(), DMSetLocalSection()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages